JshintrcTokenMaker
Date: 2017-02-11

org.fife.ui.rsyntaxtextarea.modes

## Class JshintrcTokenMaker

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.TokenMakerBase
  - - org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker
    - - org.fife.ui.rsyntaxtextarea.modes.JsonTokenMaker
      - - org.fife.ui.rsyntaxtextarea.modes.JshintrcTokenMaker

- All Implemented Interfaces:
    TokenMaker

      public class JshintrcTokenMaker
      extends JsonTokenMaker

  Scanner for .jshintrc files. This is equivalent to JSON with C-style end-of-line comments.

- - ### Field Summary

    - ### Fields inherited from class org.fife.ui.rsyntaxtextarea.modes.JsonTokenMaker

      `EOL_COMMENT, YYEOF, YYINITIAL`

    - ### Fields inherited from class org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker

      `offsetShift, s, start`

    - ### Fields inherited from class org.fife.ui.rsyntaxtextarea.TokenMakerBase

      `currentToken, firstToken, previousToken`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JshintrcTokenMaker()` Constructor; overridden to enable highlighting of EOL comments.

  - ### Method Summary

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.modes.JsonTokenMaker

      `addToken, getCurlyBracesDenoteCodeBlocks, getMarkOccurrencesOfTokenType, getShouldIndentNextLineAfter, getTokenList, setHighlightEolComments, yybegin, yycharat, yyclose, yylength, yylex, yypushback, yyreset, yystate, yytext`

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker

      `yybegin`

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.TokenMakerBase

      `addNullToken, addToken, addToken, createOccurrenceMarker, getClosestStandardTokenTypeForInternalType, getCurlyBracesDenoteCodeBlocks, getInsertBreakAction, getLanguageIndex, getLastTokenTypeOnLine, getLineCommentStartAndEnd, getOccurrenceMarker, isIdentifierChar, isMarkupLanguage, resetTokenList, setLanguageIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JshintrcTokenMaker

          public JshintrcTokenMaker()

      Constructor; overridden to enable highlighting of EOL comments.